## org.jfree.report.flow
Class FlowControlOperation

    java.lang.Object
      org.jfree.report.flow.FlowControlOperation

    public class FlowControlOperation

extends java.lang.Object

These objects define, how the iteration over the report definition affects the data source.

Author:
  Thomas Morgner

Field Summary
`static FlowControlOperation` `ADVANCE` Requests that the datasource should be moved to the next row.
`static FlowControlOperation` `COMMIT` A commit checks for an pending advance request and commites that request by moving the cursor of the currend datarow forward by one row.
`static FlowControlOperation` `DONE` Finishes (and closes) the currently open context.
`static FlowControlOperation` `MARK` Stores the current datarow state for a later recall.
`static FlowControlOperation` `NO_OP` Do nothing.
`static FlowControlOperation` `RECALL` Recalls a marked position.

Constructor Summary
`protected` `FlowControlOperation(java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MARK

    public static final FlowControlOperation MARK

  Stores the current datarow state for a later recall. Markpoints from different sources can be nested. Marking does not change the user datasource.

### ADVANCE

    public static final FlowControlOperation ADVANCE

  Requests that the datasource should be moved to the next row. An advance operation does not change the current cursor position. The cursor is not moved until a 'COMMIT' operation has been reached. Repeatable sections will perform an auto-commit based on the group in which they are in.

### RECALL

    public static final FlowControlOperation RECALL

  Recalls a marked position.

### NO_OP

    public static final FlowControlOperation NO_OP

  Do nothing.

### DONE

    public static final FlowControlOperation DONE

  Finishes (and closes) the currently open context. If the last mark has been closed, the datasource is also closed.

  If all datasources have been closes, the empty datasource is used. This datasource cannot be closed (closing has no effect on it).

### COMMIT

    public static final FlowControlOperation COMMIT

  A commit checks for an pending advance request and commites that request by moving the cursor of the currend datarow forward by one row.

Constructor Detail

### FlowControlOperation

    protected FlowControlOperation(java.lang.String name)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`